Subject: Re: [PATCH/RFC] git svn: don't introduce new paragraph for git-svn-id

From: Eric Wong <[email-masked]>
Date: Wed, 1 Aug 2012 14:43:18 -0700

Robert Luberda <[email-masked]> wrote:
> While importing changes from SVN by `git svn fetch' strip any
> white spaces from beginnings and endings of SVN commit messages
> and skip adding a new line character before `git-svn-id:'
> line in case the commit message ends with another pseudo-header
> (like From:, Signed-off-by: or Change-Id:, etc.).
> 
> This patch allows one to use gerrit code review system on git-svn-managed
> repositories. gerrit expects its `Change-Id:' header to appear in the
> last paragraph of commit message and `git-svn-id:' following a new
> line character was breaking this expectation.

I've long wanted to change this, but it breaks compatibility if folks
are importing from the same repo, sharing changes and one upgrades
git-svn.

How about making this optional and configurable at init/clone time?